class Application extends MovieClip
{
	var tfCaption:TextField;
	
	// Clips attached dynamically from Swfmill library
	var mcSpheres:MovieClip;

	var sW:Number = null; 	// Stage width
	var sH:Number = null;	// Stage height 	
		
	private function Application ( target )
	{
		// Link movie clips to classes
		Object.registerClass ( "spheres", Particle );		
		
		// Assimilate the target
		target.__proto__ = this.__proto__;
		target.__constructor__ = Application;
		this = target;		

		Flashout.log ("Application initialized: " + this );
		
		// Store stage dimensions for easy look-up
		sW = Stage.width - 1;
		sH = Stage.height - 1;
		
		// Draw border around the stage
		lineStyle ( 1, 0x000000 );
		moveTo ( 0, 0 );
		lineTo ( sW, 0 );
		lineTo ( sW, sH );
		lineTo ( 0, sH );
		lineTo ( 0, 0 );
		
		//
		// Create a caption
		//
		var captionTextFormat = new TextFormat();
		captionTextFormat.size = 12;
		captionTextFormat.font = "_sans";
		
		var captionText:String = "Made with FAMES (FAME + Swfmill)";
		
		var captionTextExtent:Object = captionTextFormat.getTextExtent ( captionText );
		var captionWidth:Number = captionTextExtent.textFieldWidth;
		var captionHeight:Number = captionTextExtent.textFieldHeight;
		var captionX = sW / 2 - captionWidth / 2;
		var captionY = sH - captionHeight;
		
		createTextField( "tfCaption", 10000, captionX, captionY, captionWidth, captionHeight );
	
		// Write caption text
		tfCaption.text = captionText;
		
		// Add ten particles
		for ( var i = 0; i < 10; i++ )
		{
			// Attach a sphere clip
			attachMovie ("spheres", "mcSphere", 1000 + i );
		}
	}
	
	static function main ()
	{
		// Create an Application instance and 
		// have is assimilate _root.
		var test:Application = new Application( _root );
	}
}